<?php
class AttendanceViewController extends AppController
{
	var $helpers = array('Html', 'Javascript', 'Ajax','Pagination', 'Lv');
	var $components = array ('Pagination', 'Lv','Check','GenerateFiles');
	var $uses=array('Group', 'Host', 'Rlthstgrp','Grpauth', 'Authority','Rltuserauth','User','Configure','Validation',
	'Employee', 'Seatlayout', 'Siteinfo', 'Hstattendance', 'Workstatus');
	var $layout='attendview';
	function beforeFilter()
	{
	//	parent::beforeFilter();
		$this->pageTitle =__('menu_uptime',$retrun=true); 
		if(isset($_POST['forHideVar'])){
			$this->set('forHideVar', $_POST['forHideVar']);
		}
		elseif(isset($_POST['forHideVar1'])){
			$this->set('forHideVar', $_POST['forHideVar1']);
		}
	}
	
	//////////レイアウト編集
	function index($siteid=null)
	{
		$this->pageTitle =__('title',$return = true);
		
		$sites = $this->Siteinfo->findAll(null,null,"showorder ASC");
		$keys = Set::extract($sites, '{n}.Siteinfo.id');
		$vals = Set::extract($sites, '{n}.Siteinfo.site_name');
		$slist = array_combine($keys, $vals);
		//$slist['']="";
		//ksort($slist);
		$this->set('slist',$slist);
		
		$status = $this->Workstatus->findAll(null, array("Workstatus.name","Workstatus.forecolor","Workstatus.backcolor"),"id ASC");
		$this->set('status',$status);
		
		
		$criteria[] = "Siteinfo.defview = 1";
		$defsite = $this->Siteinfo->find($criteria, "id");
		if(!empty($defsite)){
			$this->set('siteid',$defsite['Siteinfo']['id']);
			$this->data['site']['select'] = $defsite['Siteinfo']['id'];
			$this->set('draft', false);
		}
		
		if(!is_null($siteid)){
			$this->set('siteid',$siteid);
			$this->data['site']['select'] = $siteid;
			$this->set('draft', true);
		}
		
		$this->render('index');
	}
	
	function layout($site_id)
	{
		$this->layout="attendance";
		$this->set('siteid', $site_id);
	}
	
	function search($site_id=1)
	{
		$this->layout="";
		
		$draft= json_decode($_POST['draft']);
		
		$asso = array(
			'Employee : employees : LEFT' => array('Employee.id = Seatlayout.emp_id'),
			'Siteinfo : siteinfo' => array('Siteinfo.id = Seatlayout.site_id')		
		) ;
		
		//取得項目
		$fields = array(
			'Seatlayout.id as id',
			'Employee.id as eid',
			'Employee.id_name as idname',
			'Employee.name as ename',
			'Employee.name_eng as nameeng',
			'Employee.linenumber as line',
			'Seatlayout.name as iname',
			'Seatlayout.itemcolor as icolor',
			'Seatlayout.bordercolor as bcolor',
			'Seatlayout.size_x as size_x',
			'Seatlayout.size_y as size_y',
			'Seatlayout.linestyle as linestyle',
		);
		if($draft){
			$fields[] = 'Seatlayout.draft_x as pos_x';
			$fields[] = 'Seatlayout.draft_y as pos_y';
		}else{
			$fields[] = 'Seatlayout.pos_x as pos_x';
			$fields[] = 'Seatlayout.pos_y as pos_y';
		}
		$criteria = array("1=1");
		$criteria[]="Seatlayout.site_id = ".$site_id;

		//取得
		$Seatlayout = $this->Seatlayout->findByAsso($criteria, $fields, null, null, null, $asso);
		//exit;
		header("Content-Type: application/json; charset=utf-8");
		$json = json_encode( $Seatlayout ) ;
		$this->set(compact('json'));
	}
	
	function status($siteid)
	{
		$this->layout="";
		
		//ステータスの取得
		$asso = array(
			'Employee : employees' => array('Employee.id = Seatlayout.emp_id'),
			'Employeeaccount : employeeaccounts' => array('Employee.id = Employeeaccount.employee_id','Employeeaccount.number = 0'),
			'Host : hosts' => array('Host.id = Employeeaccount.host_id'),
			'Hstattendance : hstattendance' => array('Host.id = Hstattendance.host_id'),
			'Workstatus : workstatus' => array('Workstatus.id = Hstattendance.status'),
			'Siteinfo : siteinfo' => array('Siteinfo.id = Seatlayout.site_id')		
		) ;
		
		//取得項目
		$fields = array(
			'Seatlayout.id as id',
			'Hstattendance.status as status',
			'TIMESTAMPDIFF(MINUTE, Hstattendance.lasttime, now()) as minutes',
			'Workstatus.backcolor as bcolor',
			'Workstatus.forecolor as fcolor',
			'Workstatus.name as name'
		);

		$criteria = array("1=1");
		$criteria[]="Seatlayout.site_id = ".$siteid;

		//取得
		$status = $this->Seatlayout->findByAsso($criteria, $fields, null, null, null, $asso);
//var_dump($Seatlayout);
		header("Content-Type: application/json; charset=utf-8");
		$json = json_encode( $status ) ;
		$this->set(compact('json'));
	}
}
?>